For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Create a new mind

POST
https://api.reasoner.com/api/mindsim/minds
POST
/api/mindsim/minds
$curl -X POST https://api.reasoner.com/api/mindsim/minds \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "John Doe"
>}'
1{
2 "mind": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "name": "John Doe",
5 "slug": "john-doe",
6 "email": "john@example.com",
7 "imageUrl": "https://example.com/avatar.jpg",
8 "socialMedia": {},
9 "scope": "private",
10 "isSelf": false,
11 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
12 "createdAt": "2025-01-01T00:00:00.000Z",
13 "updatedAt": "2025-01-01T00:00:00.000Z",
14 "tags": [
15 {
16 "id": "123e4567-e89b-12d3-a456-426614174005",
17 "name": "internal team",
18 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
19 "createdAt": "2025-01-01T00:00:00.000Z",
20 "updatedAt": "2025-01-01T00:00:00.000Z"
21 }
22 ],
23 "snapshotCount": 1,
24 "psychometricCount": 10,
25 "keyTopicCount": 5,
26 "findingCount": 8
27 }
28}
Creates a new mind
Was this page helpful?
Previous

Search minds

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Request

This endpoint expects an object.
namestringRequired>=1 character
emailstringOptionalformat: "email"
imageUrlstringOptionalformat: "uri"
socialMediamap from strings to anyOptional
tagsstringOptional

Comma-separated list of tags

Response

Successfully created mind
mindobject

Errors

400
Bad Request Error